<template>
	<view>
		<!-- 搜索栏 -->
		<view>
			<view class="cu-bar bg-white search">
				<view class="search-form radius">
					<text class="cuIcon-search"></text>
					<input v-model="orderNo" :adjust-position="false" type="text" placeholder="扫码 / 输入 (单据编号)" confirm-type="search" @input="search()"></input>
					<text class="cuIcon-close" @click="reset()"></text>
				</view>
				<view class="action">
					<button class="cu-btn bg-yellow" style="color: #fff;">搜 索</button>
				</view>
			</view>
		</view>
		<view class="margin-top">
			<uni-table border stripe type="selection" emptyText="没有更多数据">
				<!-- 表头 -->
				<uni-tr >
					<uni-th align="center" width="200">订单</uni-th>
					<uni-th align="center">应入库量</uni-th>
					<uni-th align="center">已入库量</uni-th>
					<uni-th align="center" width="200">商品编码</uni-th>
					<uni-th align="center">商品名称</uni-th>
					<uni-th align="center">订单状态</uni-th>
					<uni-th align="center"width="200">操作</uni-th>
				</uni-tr>
				<!-- 表体 -->
				<uni-tr v-for="(item, index) in tabData" :key="index">
					<uni-td align="center">{{item.orderNo}}</uni-td>
					<uni-td align="center">{{item.anfme}}</uni-td>
					<uni-td align="center">{{item.inQty}}</uni-td>
					<uni-td align="center">{{item.matnr}}</uni-td>
					<uni-td align="center">{{item.maktx}}</uni-td>
					<uni-td align="center">{{item.state$}}</uni-td>
					<uni-td>
						<view class="flex justify-around">
							<button class="cu-btn bg-orange sm">上 架</button>
							<button class="cu-btn bg-red sm">撤销上架</button>
						</view>
					</uni-td>
				</uni-tr>
			</uni-table>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				tabData: [],
				searchData: {},
				orderNo: '',
				needData:{},
			}
		},
		mounted(){
			const UIP = uni.getStorageSync('UIP');
			this.baseIP = UIP;
			const UPORT = uni.getStorageSync('UPORT');
			this.basePORT = UPORT;
			this.render()
		},
		onLoad() {
			
		},
		methods: {
			// 搜索
			search() {
				let that = this;
				// that.tabData.forEach(function(e){
				// 	that.searchData = e.orderNo
				// })
				this.render(that.orderNo)
			},
			// 重置
			reset() {
				let that = this;
				that.orderNo = '';
				that.needData['order_no'] = '';
				that.getData();
			},
			// 获取表格数据
			getData() {
				let that = this
				uni.request({
					url: that.baseHttp + that.baseIP + ':' +that.basePORT + that.baseUrl + "/receiveDetl/list/auth",
					header:{'token':uni.getStorageSync('token')},
					data: that.needData,
					success(res) {
						var res = res.data
						if (res.code === 200) {
							that.tabData = res.data.records
						}
					}
				})
			},
			
			// 表格加载
			render(param) {
				let that = this;
				if(param) {
					that.needData['order_no'] = param;
					that.getData();
				} else {
					that.getData();
				}
				
			}
		}
	}
</script>

<style>
</style>
